Fa_XH

Fort Awesome

Fa_XH provides Font Awesome for CMSimple_XH templates, plugins and content. The plugin has been created for similar reasons as the jQuery4CMSimple plugin, namely to avoid clashes when Font Awesome is used by multiple components. For instance, a template may include a certain Font Awesome version, but a plugin another one. If all components rely on Fa_XH, all will use the same version.

Furthermore Fa_XH delivers editor plugins to ease the use of Font Awesome icons in the content, if this is desired. Currently, only TinyMCE 4 and CKEditor are supported.

The plugin requires CMSimple_XH ≥ 1.6.3 and PHP ≥ 5.3.0. It is released under GPLv3.

The changes are listed in the changelog. For further details you can read the user manual online.

If you have already installed at least version 1.0, you can download and install the following patch; it won't overwrite any config, language or css files.